# Contributing to STTextView

Thanks for your interest in contributing to STTextView.

Contributors must sign our [Contributor License Agreement](https://gist.githubusercontent.com/krzyzanowskim/97306283cb9bbea66ba277e8c76f0487/raw/e8f63873c46f3d84491fc2988afb2d057f0ad1ec/STTextView-CLA.md) before their contributions can be merged.

## Proposing changes

The best way to propose a change is to [start a discussion on our GitHub repository](https://github.com/krzyzanowskim/STTextView/discussions).

First, write a short **problem statement**, which _clearly_ and _briefly_ describes the problem you want to solve independently from any specific solution. It doesn't need to be long or formal, but it's difficult to consider a solution in absence of a clear understanding of the problem.

Next, write a short **solution proposal**. How can the problem (or set of problems) you have stated above be addressed? What are the pros and cons of your approach? Again, keep it brief and informal. This isn't a specification, but rather a starting point for a conversation.

By effectively engaging with the team and community early in your process, we're better positioned to give you feedback and understand your pull request once you open it. If the first thing we see from you is a big changeset, we're much less likely to respond to it in a timely manner.

## Tips to improve the chances of your PR getting reviewed and merged

- Discuss your plans ahead of time with the team
- Small, focused, incremental pull requests are much easier to review
- Spend time explaining your changes in the pull request body
- Add test coverage and documentation
- Choose tasks that align with our roadmap
- Pair with us and watch us code to learn the codebase
- Low effort PRs, such as those that just re-arrange syntax, won't be merged without a compelling justification
